#past-incidents-dropdown{
  width: 98vw;
  }
  
  #generate-report-btn{
  width: 98vw;
  }
  
/* Ensure full width for containers */
#past-map-container {
    width: 100%;
    height: 200px;
    margin-bottom: 0px;
}

iframe {
    width: 100%;
    height: 100%;
}

textarea {
    width: 100%;
    box-sizing: border-box;
    margin-top: 0px;
}

/* Ensure the list of responders and incidents are also full width */
ul {
    width: 100%;
    list-style-type: none;
    padding: 0;
    margin-top: 10px;
}

.tabbed-box {
    width: 100vw;
    padding: 0;
}

.tab-counter, .responders-list, .incident-info {
    width: 100%;
    box-sizing: border-box;
}

.tab-counter {
    display: flex;
    justify-content: space-between;
    padding: 10px 0;
}

.counter-item {
    flex: 1;
    text-align: center;
}

.tab-btn {
    width: 20%;
    box-sizing: border-box;
}

.tab {
    display: none;
    padding: 2px;
}

.tab.active {
    display: block;
}
#responders-list
    {
                font-weight: bold;
background-color: white;
font-size: 16px;
border: 1px black;

}

#past-transcription-text {
 background-color: black; /* Black background color */
            height: 25vh;
            width: 100vw;
            font-weight: bold;
            font-size: 16px;
            color: white;
            }
#past-incident-details h3, #past-incident-details h4 {
    margin-top: 20px;
    text-align: center;
}

body {
    background-color: #6b0000;
    font-family: Arial, sans-serif;
    margin: 0;
    width: fit-content;
    
    padding: 0;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

header {
    width: 100%;
    background-color: #6b0000;
    color: #fff;
    padding: 20px;
    text-align: center;

}

main {
    
    width: wrap;
    padding: 20px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

section {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
    background-color: #6b0000;
    padding: 20px;
    margin-bottom: 20px;
    border-radius: 15px;
}

.section-header {
    background-color: #6b0000;
    margin-bottom: 00px;
}

.section-header h2 {
    background-color: #6b0000;

    margin: 0;
}
h2{
    background-color: #6b0000;
    text-align: center;
    width: 100%;
    margin: 0px;
    padding: 0px;
    color: white;
    }
main h2 {
    font-size: 26px;
    background-color: #6b0000;

    margin-top: 0;
    margin-right: 15px;
    color: #fff;
}

ul {
    list-style: none;
    margin: 0;
    padding: 0;
}

li {
    margin-bottom: 10px;
}

a {
    text-decoration: none;
    color: #fff;
    cursor: pointer;
    font-size: 16px;
    font-weight: bold;
}

a:hover {
    color: #c30a0a;
}

footer {
    background-color: black;

    text-align: center;
    color: #fff;
}
    .responding {
    color: #008000;
    font-weight: bold;
    margin-top: 0px;
    
}
    #remove-btn {
        width: 98vw;
        background-color: #6b0000;
        color: white;
        
    }
    .trucks{
    color: #FFDD59;
    font-weight: bold;
    }
    .names{
    color: #f42b00;
    font-weight: bold;
    }
    
   #map-container{
    height: 60vh;
   }
        #map {
            width: 98vw;
            height: 100%;
            margin-top: 0px;
        }
        #transcription {
        
            width: 98vw;
            height: 30vh;
           
            font-size: 20px;
            }
            #transcription-text {
            background-color: black; /* Black background color */
            height: 25vh;
            width: 98vw;
            font-weight: bold;
            font-size: 16px;
            color: white;
            margin-top: auto;
            
        }
           /* Style for the audio player */
    #audioPlayer {
        height: 4vh;
        width: 100%; /* Full width */
        margin-top: 10px; /* Adjust margin as needed */
        background-color: #6b0000;
        border-radius: 0px;
    }

#audioPlayer::-webkit-media-controls-play-button {
    color: black; /* White color */
    border-radius: 0px;
    
}

/* Change the color of the volume slider */
#audioPlayer::-webkit-media-controls-volume-slider {
    background-color: #fff; /* White background */
}

/* Change the color of the mute button */
#audioPlayer::-webkit-media-controls-mute-button {
    color: #fff; /* White color */
}

/* Change the color of the timeline container */
#audioPlayer::-webkit-media-controls-timeline-container {
    background-color: #6b0000; /* Same as header background color */
}

/* Change the color of the current time display */
#audioPlayer::-webkit-media-controls-current-time-display {
    color: #fff; /* White color */
}

/* Change the color of the time remaining display */
#audioPlayer::-webkit-media-controls-time-remaining-display {
    color: #fff; /* White color */
}

/* Change the color of the seek back button */
#audioPlayer::-webkit-media-controls-seek-back-button {
    color: #fff; /* White color */
}

/* Change the color of the seek forward button */
#audioPlayer::-webkit-media-controls-seek-forward-button {
    color: #fff; /* White color */
}

/* Change the color of the fullscreen button */
#audioPlayer::-webkit-media-controls-fullscreen-button {
    color: #fff; /* White color */
}

/* Change the color of the entire media controls enclosure */
#audioPlayer::-webkit-media-controls-enclosure {
    background-color: #6b0000; /* Same as header background color */
}
/* Style for the audio player */
#pastaudioPlayer {
    height: 4vh;
    width: 100%; /* Full width */
    margin-top: 10px; /* Adjust margin as needed */
    background-color: #6b0000;
    border-radius: 0px;
}

#pastaudioPlayer::-webkit-media-controls-play-button {
    color: black; /* Black color */
    border-radius: 0px;
}

/* Change the color of the volume slider */
#pastaudioPlayer::-webkit-media-controls-volume-slider {
    background-color: #fff; /* White background */
}

/* Change the color of the mute button */
#pastaudioPlayer::-webkit-media-controls-mute-button {
    color: #fff; /* White color */
}

/* Change the color of the timeline container */
#pastaudioPlayer::-webkit-media-controls-timeline-container {
    background-color: #6b0000; /* Same as header background color */
}

/* Change the color of the current time display */
#pastaudioPlayer::-webkit-media-controls-current-time-display {
    color: #fff; /* White color */
}

/* Change the color of the time remaining display */
#pastaudioPlayer::-webkit-media-controls-time-remaining-display {
    color: #fff; /* White color */
}

/* Change the color of the seek back button */
#pastaudioPlayer::-webkit-media-controls-seek-back-button {
    color: #fff; /* White color */
}

/* Change the color of the seek forward button */
#pastaudioPlayer::-webkit-media-controls-seek-forward-button {
    color: #fff; /* White color */
}

/* Change the color of the fullscreen button */
#pastaudioPlayer::-webkit-media-controls-fullscreen-button {
    color: #fff; /* White color */
}

/* Change the color of the entire media controls enclosure */
#pastaudioPlayer::-webkit-media-controls-enclosure {
    background-color: #6b0000; /* Same as header background color */
}

.floating-bubble {
            /* Styles for floating bubble */
            cursor: pointer;
            background-color: #FA5F55;
            color: #fff;
            width: 50px;
            height: 50px;
            border-radius: 50%;
            text-align: center;
            line-height: 50px;
            position: fixed;
            bottom: 20px;
            right: 20px;
        }

        .floating-bubble-options {
            /* Styles for options */
            display: none;
            position: fixed;
            bottom: 80px;
            right: 20px;
            background-color: #2b2b2b;
            box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.2);
            padding: 10px;
            border-radius: 5px;

        }

        .floating-bubble-options a {
            /* Styles for each option */
            display: block;
            margin-bottom: 5px;
            color:white;
            text-decoration: none;
            padding: 5px;
            border-radius: 3px;
            transition: background-color 0.3s;
        }

        .floating-bubble-options a:hover {
            background-color: #575655;
        }
        
        /* Style for the truck buttons */
    #trucks button {
        padding: 10px 40px; /* Adjust padding as needed */
        margin: 5px; /* Adjust margin as needed */
        margin-bottom: 1vh;

        font-weight: bold;
        width: 95vw;
        height: 10vh;
        color: black; /* White text color */
        border: none; /* Remove border */
        border-radius: 95px; /* Add border radius */
        cursor: pointer; /* Change cursor to pointer */
    }
     #trucks button:hover {
        background-color: #0056b3; /* Darker blue background color */
    }
    #trucks{
            width: 98vw;
            height: 95vh;
            background-color: black;
        }
        #responders {
            width: 98vw;
            height: 150%;
            color: white;
            margin-top: 10px;
            background-color: black;
        }
            .tab {
            display: none;

        }
        .tab.active {
            display: block;
            height: 100vh
        }
        .tabs {
            display: none;
        }
        .tab-btn {
            font-weight: bold;
            display: flex;
            cursor: pointer;
            background-color: #ccc;
            border: none;
            padding: 10px 20px;
            border-radius: 5px;
            margin-right: 10px;
        }
        .tab-btn.active {
            background-color: #636363;
            color: #fff;
        
        }

.report-container {
    background-color: white;
    color: black;
}

.tab-counter {
     display: flex;
     width: inherit;
    justify-content: space-between; /* Align items horizontally */
    align-items: center; /* Align items vertically */
    margin-bottom: 5px; /* Adjust as needed */
    margin-top: 0px;
}

.counter-item {
    width: 100vw;
    flex: 1; /* Distribute remaining space equally */
    color: white;
    padding: 5px 10px;
    border-radius: 5px;
}
div.counter-item:nth-child(1) {
    width: wrap;
    height: wrap;
    background-color: darkgreen;
}

.not-responding {
    height: wrap;
    width: wrap;
    margin-top: auto;
    margin-left: auto;
    background-color: darkred;
}
@media screen and (min-width: 680px) {
    .floating-bubble {
display:none;
        }
  #floating-options {
  display:none;}     
.floating-bubble-options a{
            /* Styles for each option */
            display: none;
            
        }
           #map-container{
    height: 68vh;
   }
        #map {
            width: 98vw;
            height: 100%;
            margin-top: 0px;
        }
        #transcription {
        
            width: 98vw;
            height: 30vh;
           
            font-size: 20px;
            }
}
